Get Data Connection
curl --request GET \
--url https://api.example.com/assets/data/{resource_uri} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/assets/data/{resource_uri}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/assets/data/{resource_uri}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_uri": "<string>",
"name": "<string>",
"connection_type": "postgres",
"status": "PENDING",
"organization_id": "<string>",
"project_id": "<string>",
"owner_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"type": "data",
"status_message": "<string>",
"description": "<string>",
"tags": [],
"database_config": {
"host": "<string>",
"port": 123,
"database": "<string>",
"auth_type": "basic",
"ssl_mode": "disable",
"selected_tables": [
{
"database_name": "<string>",
"schemas": [
{
"schema_name": "<string>",
"tables": [
"<string>"
],
"views": []
}
]
}
],
"options": {}
},
"storage_config": {
"provider": "<string>",
"bucket": "<string>",
"region": "<string>",
"endpoint_url": "<string>"
},
"filesystem_config": {
"path": "<string>",
"protocol": "<string>",
"auth_required": false
},
"secret_names": []
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}data_connections
Get Data Connection
Get data connection
GET
/
assets
/
data
/
{resource_uri}
Get Data Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Data connection resource URI (e.g., 'data:acme-corp:ml-project:customer-db')
Response
Successful Response
Full data connection representation.
Data connection types.
Available options:
postgres, redshift, mysql, bigquery, snowflake, databricks, couchbase, oracle, hive, mongodb, s3, gcs, minio, nfs, smb Status of a data connection.
Available options:
PENDING, ACTIVE, ERROR, DISABLED Deprecated: use created_by instead. Will be removed in a future release.
Configuration for database connections.
Show child attributes
Show child attributes
Configuration for object storage connections.
Show child attributes
Show child attributes
Configuration for file system connections.
Show child attributes
Show child attributes
Was this page helpful?

